org.apache.olingo.ext.proxy.api.annotations

## Annotation Type Property

-     @Retention(value=RUNTIME)
       @Target(value=METHOD)
      public @interface Property

  Bind POJO field to EDM property.

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `name`
    `String` | `type`

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `collation`
    `String` | `defaultValue`
    `boolean` | `fixedLenght`
    `int` | `maxLenght`
    `String` | `mimeType`
    `boolean` | `nullable`
    `int` | `precision`
    `int` | `scale`
    `String` | `srid`
    `StoreGeneratedPattern` | `storeGeneratedPattern`
    `boolean` | `unicode`

- - ### Element Detail

    - #### name

          public abstract String name

  - - #### type

          public abstract String type

  - - #### nullable

          public abstract boolean nullable

      Default:
        true

  - - #### defaultValue

          public abstract String defaultValue

      Default:
        ""

  - - #### maxLenght

          public abstract int maxLenght

      Default:
        2147483647

  - - #### fixedLenght

          public abstract boolean fixedLenght

      Default:
        false

  - - #### precision

          public abstract int precision

      Default:
        0

  - - #### scale

          public abstract int scale

      Default:
        0

  - - #### unicode

          public abstract boolean unicode

      Default:
        true

  - - #### collation

          public abstract String collation

      Default:
        ""

  - - #### srid

          public abstract String srid

      Default:
        ""

  - - #### mimeType

          public abstract String mimeType

      Default:
        ""

  - - #### storeGeneratedPattern

          public abstract StoreGeneratedPattern storeGeneratedPattern

      Default:
        org.apache.olingo.client.api.edm.StoreGeneratedPattern.None

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.